tigase.server.xmppsession

## Class SessionManager.WriterQueue<E extends Packet>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractQueue<E>
    - - tigase.server.xmppsession.SessionManager.WriterQueue<E>

- All Implemented Interfaces:
    Iterable<E>, Collection<E>, Queue<E>
  Enclosing class:
    SessionManager

      protected class SessionManager.WriterQueue<E extends Packet>
      extends AbstractQueue<E>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WriterQueue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<E>` | `iterator()`
    `boolean` | `offer(E packet)`
    `E` | `peek()`
    `E` | `poll()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractQueue

      `add, addAll, clear, element, remove`

    - ### Methods inherited from class java.util.AbstractCollection

      `contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `contains, containsAll, equals, hashCode, isEmpty, parallelStream, remove, removeAll, removeIf, retainAll, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### WriterQueue

          protected WriterQueue()

  - ### Method Detail

    - #### iterator

          public Iterator<E> iterator()

      Specified by:
        `iterator` in interface `Iterable<E extends Packet>`
      Specified by:
        `iterator` in interface `Collection<E extends Packet>`
      Specified by:
        `iterator` in class `AbstractCollection<E extends Packet>`

    - #### offer

          public boolean offer(E packet)

    - #### peek

          public E peek()

    - #### poll

          public E poll()

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<E extends Packet>`
      Specified by:
        `size` in class `AbstractCollection<E extends Packet>`

Copyright © 2018 "Tigase, Inc.". All rights reserved.